<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Ejerciocio 14-2</title>
</head>
<body>
        <form >
            <input type="text" placeholder="Nombre ..." id="nombre">
            <br>
            <select id="opciones" >
                <option value="">Option...</option>
                <option value="1">diarios</option>
                <option value="2">TV</option>
                <option value="3">Redes Sociales</option>
            </select>
            <br>
            <input type="checkbox" id="acepto"> <label>Aceptar </label>
            <br>
            <input type="button" onclick="validar()" value="Button">
            <p id="resultado"></p>   
        </form>
        <Script>
                /*
                Mensaje de exito Si acepto ,el nombre tiene 4 o mas carcteres y eligio una opcion.
                Ccaso contrario mensaje de Error.
                */
            function validar(){
                var a = document.getElementById("acepto");
                console.log(a.checked);
                var n = document.getElementById("nombre").value;
                console.log(n.length);
                var o = document.getElementById("opciones").value;
                console.log(parseInt(o)==1);
                
                if(n.length > 4 && parseInt(o)!=0 && a.checked ==true){
                    
                    document.getElementById("resultado").style.color ="green";
                    document.getElementById("resultado").innerHTML ="Mensaje de EXITO"
                }else{
                    document.getElementById("resultado").style.color ="red";
                    document.getElementById("resultado").innerHTML ="Mensaje de ERROR"
                }
                
                /*
                n.length > 4 ? parseInt(o)!=0 ? a.checked ==true ? (
                    document.getElementById("resultado").style.color ="green",
                    document.getElementById("resultado").innerHTML ="Mensaje de EXITO")
                : ( document.getElementById("resultado").style.color ="red",
                    document.getElementById("resultado").innerHTML ="Mensaje de ERROR")
                */
            }

        </Script>
    
</body>
</html>